## kdeplasma-addons 5.24.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(kdeplasma-addons)
set(PROJECT_VERSION "5.24.7")
set(PROJECT_VERSION_MAJOR 5)

################# Disallow in-source build #################
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()

set(QT_MIN_VERSION 5.15.0)
set(KF5_MIN_VERSION 5.79.0)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMInstallIcons)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    DBus
    Quick
    Qml
    Widgets
    Test
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    CoreAddons
    Declarative
    Holidays
    I18n
    KIO
    KCMUtils
    Notifications
    Plasma
    Runner
    Service
    Sonnet
    UnitConversion
    WindowSystem
    NewStuff
)

find_package(KF5Purpose CONFIG QUIET)
set_package_properties(KF5Purpose PROPERTIES
    DESCRIPTION "Framework for cross-application services and actions"
    PURPOSE "Needed for QuickShare applet"
    URL "https://commits.kde.org/purpose"
    TYPE RUNTIME
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_NO_URL_CAST_FROM_STRING
)

add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(runners)

add_subdirectory(wallpapers)

add_subdirectory(windowswitchers)
add_subdirectory(desktopswitchers)

add_subdirectory(plasmacalendarplugins)

add_subdirectory(templates)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== applets/CMakeLists.txt ===
plasma_install_package(activitypager org.kde.plasma.activitypager)
plasma_install_package(kickerdash org.kde.plasma.kickerdash)
plasma_install_package(konsoleprofiles/package org.kde.plasma.konsoleprofiles)
plasma_install_package(keyboardindicator org.kde.plasma.keyboardindicator)

add_subdirectory(binary-clock)
add_subdirectory(calculator)
add_subdirectory(colorpicker)
add_subdirectory(comic)
add_subdirectory(dict)
add_subdirectory(diskquota)
add_subdirectory(fifteenPuzzle)
add_subdirectory(fuzzy-clock)
add_subdirectory(grouping)
add_subdirectory(mediaframe)
add_subdirectory(nightcolor)
add_subdirectory(notes)
add_subdirectory(quicklaunch)
add_subdirectory(quickshare)
add_subdirectory(timer)
add_subdirectory(userswitcher)
add_subdirectory(weather)
add_subdirectory(webbrowser)

=== runners/CMakeLists.txt ===
add_subdirectory(converter)
add_subdirectory(datetime)
add_subdirectory(katesessions)
add_subdirectory(spellchecker)
add_subdirectory(characters)
add_subdirectory(dictionary)
add_subdirectory(konsoleprofiles)

=== applets/binary-clock/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.binaryclock)

=== runners/characters/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_CharacterRunner")

kcoreaddons_add_plugin(krunner_charrunner SOURCES charrunner.cpp INSTALL_NAMESPACE "kf5/krunner")
target_link_libraries(krunner_charrunner
    KF5::Runner
    KF5::I18n
)

kcoreaddons_add_plugin(kcm_krunner_charrunner INSTALL_NAMESPACE "kf5/krunner/kcms")
target_sources(kcm_krunner_charrunner PRIVATE charrunner_config.cpp)
ki18n_wrap_ui(kcm_krunner_charrunner charrunner_config.ui)
target_link_libraries(kcm_krunner_charrunner
    KF5::Runner
    KF5::KCMUtils
    KF5::I18n
)

=== runners/katesessions/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_katesessions\")

kcoreaddons_add_plugin(krunner_katesessions SOURCES katesessions.cpp INSTALL_NAMESPACE "kf5/krunner")
target_link_libraries(krunner_katesessions KF5::KIOGui KF5::Notifications KF5::I18n KF5::Runner)

=== runners/konsoleprofiles/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_konsoleprofiles")

kcoreaddons_add_plugin(krunner_konsoleprofiles SOURCES konsoleprofiles.cpp INSTALL_NAMESPACE "kf5/krunner")
target_link_libraries(krunner_konsoleprofiles
    KF5::Runner
    KF5::KIOGui
    KF5::I18n
    KF5::Notifications
)

=== runners/spellchecker/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_spellcheckrunner")

kcoreaddons_add_plugin(krunner_spellcheck SOURCES spellcheck.cpp INSTALL_NAMESPACE "kf5/krunner")
target_link_libraries(krunner_spellcheck
    KF5::Runner
    KF5::KIOWidgets
    KF5::I18n
    KF5::SonnetCore
)

kcoreaddons_add_plugin(kcm_krunner_spellcheck INSTALL_NAMESPACE "kf5/krunner/kcms")
ki18n_wrap_ui(kcm_krunner_spellcheck spellcheck_config.ui)
target_sources(kcm_krunner_spellcheck PRIVATE spellcheck_config.cpp)
target_link_libraries(kcm_krunner_spellcheck 
    Qt::Gui
    KF5::Runner
    KF5::KCMUtils
    KF5::I18n
)

=== applets/grouping/container/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.grouping)

set(groupedappletscontainer_SRCS
    groupedappletscontainer.cpp
)
ecm_qt_declare_logging_category(groupedappletscontainer_SRCS HEADER debug.h
                                            IDENTIFIER GROUPING_DEBUG
                                            CATEGORY_NAME kde.grouping
                                            DEFAULT_SEVERITY Info)

kcoreaddons_add_plugin(org.kde.plasma.grouping SOURCES ${groupedappletscontainer_SRCS} INSTALL_NAMESPACE "plasma/applets")

target_link_libraries(org.kde.plasma.grouping
                      Qt::Gui
                      Qt::Quick
                      KF5::Plasma
                      KF5::XmlGui
                      KF5::I18n)

=== applets/quicklaunch/plugin/CMakeLists.txt ===
set(quicklaunchplugin_SRCS
    quicklaunch_p.cpp
    quicklaunchplugin.cpp)

add_library(quicklaunchplugin SHARED ${quicklaunchplugin_SRCS})
target_link_libraries(quicklaunchplugin
    Qt::Core
    Qt::Qml
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Notifications)

install(TARGETS quicklaunchplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/quicklaunch)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/quicklaunch)

=== plasmacalendarplugins/astronomical/config/plugin/CMakeLists.txt ===
add_library(plasmacalendarastronomicaleventsconfig SHARED configplugin.cpp configstorage.cpp)

target_link_libraries(plasmacalendarastronomicaleventsconfig
    Qt::Qml
    Qt::Core
    KF5::ConfigCore
)

install(TARGETS plasmacalendarastronomicaleventsconfig DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasmacalendar/astronomicaleventsconfig)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasmacalendar/astronomicaleventsconfig)

=== plasmacalendarplugins/astronomical/config/qml/CMakeLists.txt ===
install(FILES AstronomicalEventsConfig.qml  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasmacalendarplugins/astronomicalevents)

=== debian/changelog ===
kdeplasma-addons (4:5.24.7-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.7) (LP: #1992971)

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Oct 2022 14:48:59 +0100

kdeplasma-addons (4:5.24.6-0ubuntu0.1) jammy; urgency=medium

  * New upstream bugfix release (5.24.5)
  * New upstream bugfix release (5.24.6)
  * SRU to 22.04 (LP: #1986447)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Aug 2022 09:06:06 +0100

kdeplasma-addons (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:19:40 +0100

kdeplasma-addons (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:14:12 +0000

kdeplasma-addons (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:01:09 +0000

kdeplasma-addons (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:20:43 +0000

kdeplasma-addons (4:5.24.0a-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:26:47 +0000

kdeplasma-addons (4:5.23.90-0ubuntu2) jammy; urgency=medium

  * Drop dependency on no longer required qml-module-qtwebkit.

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Feb 2022 20:23:47 +0000

kdeplasma-addons (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:18:14 +0000

kdeplasma-addons (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)
  * Install wallpaper desktop files.

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:40:04 +0000

kdeplasma-addons (4:5.23.4-0ubuntu2) jammy; urgency=medium

  * Update upstream signing key

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 31 Dec 2021 13:51:32 +0000

kdeplasma-addons (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:56:07 +0000

kdeplasma-addons (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:17:17 +0000

kdeplasma-addons (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:49:35 +0000

kdeplasma-addons (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Update install files.
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:51:22 +0100

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               kross-dev (>= 5.90.0~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5declarative-dev (>= 5.90.0~),
               libkf5holidays-dev (>= 1:5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5newstuff-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libkf5purpose-dev (>= 5.90.0~),
               libkf5runner-dev (>= 5.90.0~),
               libkf5service-dev (>= 5.90.0~),
               libkf5sonnet-dev (>= 5.90.0~),
               libkf5unitconversion-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Rules-Requires-Root: no

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 5
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-x11 (>= 4:5.23.90) | kwin (>= 4:5.23.90),
         plasma-framework (>= 5.74.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 5 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework (>= 5.74.0~),
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 5
 This package contains additional Plasma 5 calendar plugins that are used in
 the Plasma desktop.
 .
 Currently, it only includes the astronomical plugin for Plasma's calendar.
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kross,
         plasma-framework (>= 5.74.0~),
         qml-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 5
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 5 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Characters (Special Characters)
  * Converter (Unit Converter)
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Media Wiki (Wikipedia, Wikitravel, Techbase, Userbase)
  * Spell Checker
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-framework (>= 5.74.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 5
 This package contains additional Plasma 5 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool5,
         libkf5purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-framework (>= 5.74.0~),
         plasma-workspace (>= 4:5.23.90~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kio,
         qml-module-org-kde-purpose,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 5.21.90~)
Suggests: quota
Description: additional widgets for Plasma 5
 This package contains additional Plasma 5 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Activity pager
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic
  * Dictionary
  * Diskquota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping
  * Keyboard Indicartor
  * Kicker Application Dashboard
  * Konsole Profiles
  * Media Frame
  * Minimize all Windows
  * Nightcolor Control
  * Notes
  * Quicklaunch
  * Quick Share
  * Show Desktop
  * System Load Viewer
  * Timer
  * Userswitcher
  * Weather Report
  * Web Browser
  * More coming soon..
 .
 This package is part of the KDE Plasma 5 addons module.

## kdeplasma-addons 5.25.5

=== debian/changelog ===
kdeplasma-addons (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:31:47 +0100

kdeplasma-addons (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build depend on the plasma-workspace binary package, as this
      is completely unneeded.
    - As we have many fewer architectures to build for than debian, use
      arch specific install files instead of copying files into packages
      via debian/rules.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 15:48:30 +0100

kdeplasma-addons (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:35:05 +0200

kdeplasma-addons (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:58:45 +0100

kdeplasma-addons (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Review copyright information.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:29:33 +0200

kdeplasma-addons (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:22 +0100

kdeplasma-addons (4:5.25.2-0ubuntu2) kinetic; urgency=medium

  * For now only use webengine on amd64.

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Jun 2022 08:05:01 +0100

kdeplasma-addons (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:22 +0100

kdeplasma-addons (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:47:39 +0200

kdeplasma-addons (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:26:41 +0100

kdeplasma-addons (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten cross-plasma components dependencies.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:27:06 +0200

kdeplasma-addons (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:05:17 +0100

kdeplasma-addons (4:5.24.90-1) experimental; urgency=medium
 
  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Update the list of installed files from build logs.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 19:32:03 +0200

kdeplasma-addons (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * Update install files.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:39:47 +0100

kdeplasma-addons (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:45 +0200

kdeplasma-addons (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
+           Patrick Franz <deltaone@debian.org>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
@@ -35,7 +36,7 @@
                pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
+               qtwebengine5-dev (>= 5.15.0~) [amd64],
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
@@ -57,8 +58,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.23.90) | kwin (>= 4:5.23.90),
-         plasma-framework (>= 5.74.0~),
+         kwin-x11 (>= 4:5.25) | kwin (>= 4:5.25),
+         plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: additional desktop and window switchers for KWin
@@ -71,7 +72,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-framework (>= 5.74.0~),
+         plasma-framework (>= 5.79.0~),
          qml-module-qtquick-controls,
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
@@ -90,7 +91,7 @@
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
          kross,
-         plasma-framework (>= 5.74.0~),
+         plasma-framework (>= 5.79.0~),
          qml-module-qtquick-layouts,
          ${misc:Depends},
          ${shlibs:Depends},
@@ -150,8 +151,8 @@
          kpackagetool5,
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
-         plasma-framework (>= 5.74.0~),
-         plasma-workspace (>= 4:5.23.90~),
+         plasma-framework (>= 5.79.0~),
+         plasma-workspace (>= 4:5.25~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -164,7 +165,7 @@
          qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: plasma-systemmonitor (>= 5.21.90~)
+Recommends: plasma-systemmonitor (>= 4:5.25~)
 Suggests: quota
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma

## kdeplasma-addons 5.26.5

=== debian/changelog ===
kdeplasma-addons (4:5.26.5-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 4:5.12.4-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 05 Apr 2018 14:07:17 +0000]
  * Remove armhf from qtwebengine architectures, we don't have 
    qtwebengine in Raspbian.

  [changes brought forward from 4:5.14.5.1-2+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Sat, 12 Oct 2019 14:12:46 +0000]
  * Remove armhf from architecture list of qml-module-qtwebengine dependency.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 21 Jan 2023 18:00:55 +0000

kdeplasma-addons (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:22:36 +0100

kdeplasma-addons (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:10:14 +0100

kdeplasma-addons (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 16:04:46 +0100

kdeplasma-addons (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:36:44 +0200

kdeplasma-addons (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:25 +0200

kdeplasma-addons (4:5.25.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Oct 2022 11:47:05 +0200

kdeplasma-addons (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update the list of installed files from build logs.
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:26 +0200

kdeplasma-addons (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:22:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kdeplasma-addons
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -11,36 +10,39 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.90.0~),
                gettext,
-               kross-dev (>= 5.90.0~),
+               kross-dev (>= 5.79.0~),
+               libicu-dev (>= 66.1~),
                libkf5archive-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
                libkf5coreaddons-dev (>= 5.90.0~),
                libkf5declarative-dev (>= 5.90.0~),
                libkf5holidays-dev (>= 1:5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5iconthemes-dev (>= 5.90.0~),
+               libkf5iconthemes-dev (>= 5.79.0~),
                libkf5kcmutils-dev (>= 5.90.0~),
                libkf5kio-dev (>= 5.90.0~),
+               libkf5networkmanagerqt-dev,
                libkf5newstuff-dev (>= 5.90.0~),
                libkf5notifications-dev (>= 5.90.0~),
                libkf5plasma-dev (>= 5.90.0~),
-               libkf5purpose-dev (>= 5.90.0~),
+               libkf5purpose-dev (>= 5.70.0~),
                libkf5runner-dev (>= 5.90.0~),
                libkf5service-dev (>= 5.90.0~),
                libkf5sonnet-dev (>= 5.90.0~),
                libkf5unitconversion-dev (>= 5.90.0~),
-               libkf5widgetsaddons-dev (>= 5.90.0~),
+               libkf5widgetsaddons-dev (>= 5.70.0~),
                libkf5windowsystem-dev (>= 5.90.0~),
-               libkf5xmlgui-dev (>= 5.90.0~),
+               libkf5xmlgui-dev (>= 5.79.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
+               plasma-workspace (>= 4:5.25.90~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-               qtwebengine5-dev (>= 5.15.0~) [amd64],
-Standards-Version: 4.5.0
+               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 i386 mipsel],
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
 Rules-Requires-Root: no
 
 Package: kdeplasma-addons-data
@@ -58,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.25) | kwin (>= 4:5.25),
+         kwin-x11 (>= 4:5.25.90~) | kwin (>= 4:5.25.90~),
          plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -130,7 +132,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         plasma-framework (>= 5.74.0~),
+         plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: additional wallpaper plugins for Plasma 5
@@ -152,7 +154,7 @@
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.79.0~),
-         plasma-workspace (>= 4:5.25~),
+         plasma-workspace (>= 4:5.25.90~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -162,10 +164,11 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: plasma-systemmonitor (>= 4:5.25~)
+         qml-module-qtwebengine [amd64 arm64 i386 mipsel],
+         qml-module-qtwebkit,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: plasma-systemmonitor (>= 4:5.25.90~)
 Suggests: quota
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma

## kdeplasma-addons 5.27.2

=== debian/changelog ===
kdeplasma-addons (4:5.27.2-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 4:5.12.4-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 05 Apr 2018 14:07:17 +0000]
  * Remove armhf from qtwebengine architectures, we don't have 
    qtwebengine in Raspbian.

  [changes brought forward from 4:5.14.5.1-2+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Sat, 12 Oct 2019 14:12:46 +0000]
  * Remove armhf from architecture list of qml-module-qtwebengine dependency.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 12 Mar 2023 23:47:00 +0000

kdeplasma-addons (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:01:29 +0100

kdeplasma-addons (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:47 +0100

kdeplasma-addons (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.
  * Update cross-plasma versioned dependencies.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:59 +0100

=== debian/control ===
--- 
+++ 
@@ -35,11 +35,11 @@
                libkf5xmlgui-dev (>= 5.79.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace (>= 4:5.25.90~),
+               plasma-workspace (>= 4:5.26.70~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
                qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 i386 mipsel],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
@@ -48,7 +48,7 @@
 Package: kdeplasma-addons-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: locale files for kdeplasma-addons
  The KDE Plasma addons module is a collection of additional Plasma 5
  data engines, widgets and krunner plugins. It is part of
@@ -60,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.25.90~) | kwin (>= 4:5.25.90~),
+         kwin-x11 (>= 4:5.26.70~) | kwin (>= 4:5.26.70~),
          plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -154,7 +154,7 @@
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.79.0~),
-         plasma-workspace (>= 4:5.25.90~),
+         plasma-workspace (>= 4:5.26.70~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -168,8 +168,8 @@
          qml-module-qtwebkit,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: plasma-systemmonitor (>= 4:5.25.90~)
-Suggests: quota
+Recommends: plasma-systemmonitor (>= 4:5.26.70~),
+Suggests: quota,
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
  addons module. Install it if you want a variety of widgets on your Plasma

## kdeplasma-addons 5.27.4

=== debian/changelog ===
kdeplasma-addons (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:22 +0100

kdeplasma-addons (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:17:48 +0000

kdeplasma-addons (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:36 +0000

kdeplasma-addons (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:19 +0000

kdeplasma-addons (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:21 +0000

kdeplasma-addons (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:29:17 +0000

kdeplasma-addons (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 08:44:34 +0000

kdeplasma-addons (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Do not build depend on the plasma-workspace binary package, as this
      is completely unneeded.
    - As we have many fewer architectures to build for than debian, use
      arch specific install files instead of copying files into packages
      via debian/rules.
    - Build and runtime deps at Plasma 5.26 and Frameworks 5.98.0
    - qml-module-qtwebkit runtime dep no longer required.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Dec 2022 11:06:25 +0000

kdeplasma-addons (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:03:24 +0000

kdeplasma-addons (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:10:56 +0000

kdeplasma-addons (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)
  * Add optional networkmanaget-qt and ICU build deps.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:09:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,54 +1,54 @@
 Source: kdeplasma-addons
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               kross-dev (>= 5.79.0~),
+               kross-dev (>= 5.102.0~),
                libicu-dev (>= 66.1~),
-               libkf5archive-dev (>= 5.90.0~),
-               libkf5config-dev (>= 5.90.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5declarative-dev (>= 5.90.0~),
-               libkf5holidays-dev (>= 1:5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5iconthemes-dev (>= 5.79.0~),
-               libkf5kcmutils-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
-               libkf5networkmanagerqt-dev,
-               libkf5newstuff-dev (>= 5.90.0~),
-               libkf5notifications-dev (>= 5.90.0~),
-               libkf5plasma-dev (>= 5.90.0~),
-               libkf5purpose-dev (>= 5.70.0~),
-               libkf5runner-dev (>= 5.90.0~),
-               libkf5service-dev (>= 5.90.0~),
-               libkf5sonnet-dev (>= 5.90.0~),
-               libkf5unitconversion-dev (>= 5.90.0~),
-               libkf5widgetsaddons-dev (>= 5.70.0~),
-               libkf5windowsystem-dev (>= 5.90.0~),
-               libkf5xmlgui-dev (>= 5.79.0~),
+               libkf5archive-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5holidays-dev (>= 1:5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5iconthemes-dev (>= 5.102.0~),
+               libkf5kcmutils-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
+               libkf5networkmanagerqt-dev (>= 5.102.0~),
+               libkf5newstuff-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5plasma-dev (>= 5.102.0~),
+               libkf5purpose-dev (>= 5.102.0~),
+               libkf5runner-dev (>= 5.102.0~),
+               libkf5service-dev (>= 5.102.0~),
+               libkf5sonnet-dev (>= 5.102.0~),
+               libkf5unitconversion-dev (>= 5.102.0~),
+               libkf5widgetsaddons-dev (>= 5.102.0~),
+               libkf5windowsystem-dev (>= 5.102.0~),
+               libkf5xmlgui-dev (>= 5.102.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace (>= 4:5.26.70~),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),
-               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 i386 mipsel],
-Standards-Version: 4.6.2
+               qtwebengine5-dev (>= 5.15.0~) [amd64],
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
 Rules-Requires-Root: no
 
 Package: kdeplasma-addons-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: locale files for kdeplasma-addons
  The KDE Plasma addons module is a collection of additional Plasma 5
  data engines, widgets and krunner plugins. It is part of
@@ -60,7 +60,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-x11 (>= 4:5.26.70~) | kwin (>= 4:5.26.70~),
+         kwin-x11 (>= 4:5.26.0~) | kwin (>= 4:5.26.0~),
          plasma-framework (>= 5.79.0~),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -154,7 +154,7 @@
          libkf5purpose-bin,
          plasma-dataengines-addons (= ${binary:Version}),
          plasma-framework (>= 5.79.0~),
-         plasma-workspace (>= 4:5.26.70~),
+         plasma-workspace (>= 4:5.26.0~),
          qml-module-org-kde-draganddrop,
          qml-module-org-kde-kcoreaddons,
          qml-module-org-kde-kio,
@@ -164,12 +164,11 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick-window2,
          qml-module-qtquick2,
-         qml-module-qtwebengine [amd64 arm64 i386 mipsel],
-         qml-module-qtwebkit,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: plasma-systemmonitor (>= 4:5.26.70~),
-Suggests: quota,
+         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: plasma-systemmonitor (>= 4:5.26.0~)
+Suggests: quota
 Description: additional widgets for Plasma 5
  This package contains additional Plasma 5 widgets shipped in the Plasma
  addons module. Install it if you want a variety of widgets on your Plasma
